### Class

# Fwupd Request

#### Description [src]

    class Fwupd.Request : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

A user request from the device.

See also: `FwupdDevice`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_request_new

Creates a new request.

since: 1.6.2

#### Functions

###### fwupd_request_flag_from_string

Converts a string to an enumerated value.

since: 1.8.6

###### fwupd_request_flag_to_string

Converts an enumerated value to a string.

since: 1.8.6

###### fwupd_request_kind_from_string

Converts a string to an enumerated value.

since: 1.6.2

###### fwupd_request_kind_to_string

Converts an enumerated value to a string.

since: 1.6.2

#### Instance methods

###### fwupd_request_add_flag

Adds a specific flag to the request.

since: 1.8.6

###### fwupd_request_emit_invalidate

Emits an `invalidate` signal to signify that the request is no longer valid, and any visible UI components should be hidden.

since: 1.9.17

###### fwupd_request_get_created

Gets when the request was created.

since: 1.6.2

###### fwupd_request_get_device_id

Gets the device_id that created the request.

since: 1.6.2

###### fwupd_request_get_flags

Gets the request flags.

since: 1.8.6

###### fwupd_request_get_id

Gets the ID.

since: 1.6.2

###### fwupd_request_get_image

Gets the update image.

since: 1.6.2

###### fwupd_request_get_kind

Returns what the request is currently doing.

since: 1.6.2

###### fwupd_request_get_message

Gets the update message, generating a generic one using the request ID if possible.

since: 1.6.2

###### fwupd_request_has_flag

Finds if the request has a specific flag.

since: 1.8.6

###### fwupd_request_remove_flag

Removes a specific flag from the request.

since: 1.8.6

###### fwupd_request_set_created

Sets when the request was created.

since: 1.6.2

###### fwupd_request_set_device_id

Sets the device_id that created the request.

since: 1.6.2

###### fwupd_request_set_flags

Sets the request flags.

since: 1.8.6

###### fwupd_request_set_id

Sets the ID.

since: 1.6.2

###### fwupd_request_set_image

Sets the update image.

since: 1.6.2

###### fwupd_request_set_kind

Sets what the request is currently doing.

since: 1.6.2

###### fwupd_request_set_message

Sets the update message.

since: 1.6.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Properties

###### Fwupd.Request:device-id

The device ID for the request.

since: 1.8.2

###### Fwupd.Request:flags

The flags for the request.

since: 1.8.6

###### Fwupd.Request:id

The request identifier.

since: 1.6.2

###### Fwupd.Request:image

The image link for the request.

since: 1.6.2

###### Fwupd.Request:kind

The kind of the request.

since: 1.6.2

###### Fwupd.Request:message

The message text in the request.

since: 1.6.2

#### Signals

###### Fwupd.Request::invalidate

The ::invalidate signal is emitted when the request is no longer valid, and any visible UI components should be hidden.

since: 1.9.17

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdRequestClass {
      GObjectClass parent_class;
      void (* invalidate) (
        FwupdRequest* client
      );
      void (* _fwupd_reserved2) (
    void
      );
      void (* _fwupd_reserved3) (
    void
      );
      void (* _fwupd_reserved4) (
    void
      );
      void (* _fwupd_reserved5) (
    void
      );
      void (* _fwupd_reserved6) (
    void
      );
      void (* _fwupd_reserved7) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`invalidate: void (* invalidate) ( FwupdRequest* client )`

  No description available.

`_fwupd_reserved2: void (* _fwupd_reserved2) ( void )`

  No description available.

`_fwupd_reserved3: void (* _fwupd_reserved3) ( void )`

  No description available.

`_fwupd_reserved4: void (* _fwupd_reserved4) ( void )`

  No description available.

`_fwupd_reserved5: void (* _fwupd_reserved5) ( void )`

  No description available.

`_fwupd_reserved6: void (* _fwupd_reserved6) ( void )`

  No description available.

`_fwupd_reserved7: void (* _fwupd_reserved7) ( void )`

  No description available.

#### Virtual methods

###### Fwupd.RequestClass.invalidate

No description available.